#pragma once
#include "DeviceBase.h"
typedef struct
{
	long				index;
	IPC_DEV_INFO		ipcInfo;
}DEV_INFO;

class CDeviceManage
{
public:
	CDeviceManage();
	~CDeviceManage();
public:
	//CMap 
	CMap<long, long&, DEV_INFO*, DEV_INFO*>				m_search_Aj_list;
	//CMap 豸б
	CMap<CString, LPCTSTR, CDeviceBase*, CDeviceBase*>	m_devMap;
private:
	CRITICAL_SECTION m_csSearch;
public:
	int InsertDeviceToMap(LONG index);
	int InsertDeviceToMapBySearch(DEV_INFO* pInfo);
	int CleanUpSearchMap();
	int CleanUpDeviceMap();
	//////////////////////////////////////////////////////////////////////////
	//ͨŻȡ豸Ϣ
	DEV_INFO* GetDevInfoByIndex(LONG index);
	//ͨIPȡCDevice
	CDeviceBase* GetDeviceByIp(CString strIp);
	CDeviceBase* GetDeviceById(LONG lUserId);

	//////////////////////////////////////////////////////////////////////////
	////Ԥָ豸
	int RealPlay(LPCTSTR lpUrl, int iWndIndex, int isSub);
	//Ԥָ豸
	int RealPlay(CDeviceBase* pDevice, int iWndIndex, int isSub);
	//ֹͣԤ豸
	int StopRealPlay(CDeviceBase* pDevice);
	//ֹͣԤ豸
	int StopRealPlay(LPCTSTR lpUrl);
	//ֹͣԤ豸
	int StopRealPlay(int iWndIndex);
	//////////////////////////////////////////////////////////////////////////
	//޸豸ǰϢ
	int ModifyDeviceNetWork(DEV_INFO *pInfo);
};

